{% extends "base.html" %}

{% block title %}MiCorr | {{ user.username }} Publication{% endblock %}

{% block content %}
    <div class="container">

        <div class="row">
            <div class="col-sm-12">
                <h2>{{ user.username|capfirst }}</h2>
                <h3>Publications
                    <div class="pull-right" style="margin-top: 0px;">
                        <a href="{% url 'users:detail' username=user %}" class="btn btn-primary btn-md">Return to My Profile</a>
                    </div>
                </h3>
                <br>
            </div>
        </div>

        {% if user == request.user %}

            <div class="row">
                <div class="col-sm-12 ">
                    <div class="panel-group">
                        <div class="panel panel-default">
                            <div class="panel-heading">
                                <h4 class="panel-title">
                                    <span class="glyphicon glyphicon-plus"></span>
                                    <a data-toggle="collapse" href="#mypublications">My published artefacts</a>
                                </h4>
                            </div>
                            <div id="mypublications" class="panel-collapse collapse">
                                {% if artefactsPublished %}
                                    <table class="table table-bordered table-striped table-hover">
                                        <tr>
                                            <th>Publication date</th>
                                            <th>Artefact</th>
                                            <th>Action</th>
                                        </tr>
                                        {% for artPub in artefactsPublished %}
                                            <tr>
                                                <td>{{ artPub.modified }}</td>
                                                <td>{{ artPub.object.name }}</td>
                                                <td><a href="{% url 'artefacts:artefact-detail' pk=artPub.id %}" target="_blank"><i class="fa fa-eye"></i></a></td>
                                            </tr>
                                        {% endfor %}
                                    </table>
                                {% else %}
                                    There is no published artefact.
                                {% endif %}
                            </div>
                        </div>
                    </div>
                    <div class="panel-group">
                        <div class="panel panel-default">
                            <div class="panel-heading">
                                <h4 class="panel-title">
                                    <span class="glyphicon glyphicon-plus"></span>
                                    <a data-toggle="collapse" href="#myrequestsforpublications">Current requests for publications</a>
                                </h4>
                            </div>
                            <div id="myrequestsforpublications" class="panel-collapse collapse">
                                {% if publications %}
                                    <table class="table table-bordered table-striped table-hover">
                                        <tr>
                                            <th>Request date</th>
                                            <th>Artefact</th>
                                            <th>Action</th>
                                        </tr>
                                        {% for publi in publications %}
                                            <tr>
                                                <td>{{ publi.created }}</td>
                                                <td>{{ publi.artefact.object.name }}</td>
                                                <td><a href="{% url 'artefacts:publication-artefact-detail' pk=publi.id %}" target="_blank"><i class="fa fa-eye"></i></a>
                                                {%  if publi.editorreview_set.first %}
                                                    &nbsp;|&nbsp;<a href="{% url 'reviews:app' %}/author-review/{{ publi.editorreview_set.first.id }}" target="_blank"><i class="fa fa-list"></i>
                                                {% endif %}
                                                </td>
                                            </tr>
                                        {% endfor %}
                                    </table>
                                {% else %}
                                    There is no current request for publication.
                                {% endif %}
                            </div>
                        </div>
                    </div>
                    <div class="panel-group">
                        <div class="panel panel-default">
                            <div class="panel-heading">
                                <h4 class="panel-title">
                                    <span class="glyphicon glyphicon-plus"></span>
                                    <a data-toggle="collapse" href="#decisionsformypublications">Decisions for publications</a>
                                    {% if new_publications != 0 %}
                                        <div class="pull-right">
                                            <div id="moncercle">
                                                <center>{{ new_publications }}</center>
                                            </div>
                                        </div>
                                    {% endif %}
                                </h4>
                            </div>
                            <div id="decisionsformypublications" class="panel-collapse collapse">
                                {% if artefactsHistory %}
                                    <table class="table table-bordered table-striped table-hover">
                                        <tr>
                                            <th>Decision date</th>
                                            <th>Artefact</th>
                                            <th>Decision</th>
                                            <th>Action</th>
                                        </tr>
                                        {% for pubHist in artefactsHistory %}
                                            <tr>
                                                <td>{{ pubHist.modified }}</td>
                                                {% if not pubHist.read %}
                                                    <td>
                                                        <div class="newCommentsRed">
                                                            {{ pubHist.artefact.object.name }}
                                                        </div>
                                                    </td>
                                                {% else %}
                                                    <td>{{ pubHist.artefact.object.name }}</td>
                                                {% endif %}
                                                {% if pubHist.artefact.validated %}
                                                    <td><i class="fa fa-check" style="color: green"></i></td>
                                                {% else %}
                                                    <td><i class="fa fa-times" style="color: red"></i></td>
                                                {% endif %}
                                                <td><a href="{% url 'artefacts:publication-artefact-detail' pk=pubHist.id %}"><i class="fa fa-eye"></i></a></td>
                                            </tr>
                                        {% endfor %}
                                    </table>
                                {% else %}
                                    There is no decision about your publications.
                                {% endif %}
                            </div>
                        </div>
                    </div>
                    <br>
                </div>
            </div>
        {% endif %}
    </div>

{% endblock content %}

{% block custom_bottom_script %}
    <script type="text/javascript">
        $('.collapse').on('shown.bs.collapse', function(){
            $(this).parent().find(".glyphicon-plus").removeClass("glyphicon-plus").addClass("glyphicon-minus");
            }).on('hidden.bs.collapse', function(){
            $(this).parent().find(".glyphicon-minus").removeClass("glyphicon-minus").addClass("glyphicon-plus");
        });
    </script>
{% endblock %}
